AC_DEFUN([ms_SET_VAR],
[
	eval my_datadir="\"$datadir\""
	eval my_datadir="\"$my_datadir\""
	AC_DEFINE_UNQUOTED([MAKEFILE_SHAREDIR], "$my_datadir", [Sharedir])

	AC_MSG_CHECKING([pkg-config])
	if( test "x$(which pkg-config)" = "x" )
	then
		AC_MSG_ERROR([not found - install pkg-config])
	else
		AC_MSG_RESULT([ok])
	fi


	my_libs=""

	AC_MSG_CHECKING([get lua libs])
	lua_libs=$(pkg-config --libs lua)
	tmp=$?

	if( test $tmp -eq 1 )
	then
		AC_MSG_ERROR([couldn't get - is lua installed?])
	else
		AC_MSG_RESULT([ok - \"$lua_libs\"])
		my_libs="$my_libs $lua_libs"
	fi

	AC_ARG_WITH(ssltls,AC_HELP_STRING([--without-ssltls],[disable support for Secure Socket Layer and Transport Layer Security]),[ssltls=0],[ssltls=1])
	AC_ARG_WITH(crammd5,AC_HELP_STRING([--without-crammd5],[disable support for Challenge-Response Authentication Mechanism]),[crammd5=0],[crammd5=1])

	libssl="-lssl"
	libcrypto="-lcrypto"

	if( test "x$ssltls" = "x" )
	then
		AC_DEFINE_UNQUOTED([NO_SSLTLS], "", [No Secure Socket Layer and Transport Layer Security support])
	else
		my_libs="$my_libs $libssl $libcrypto"
	fi

	if( test "x$crammd5" = "x" )
	then
		AC_DEFINE_UNQUOTED([NO_CRAMMD5], "", [No Challenge-Response Authentication Mechanism support])
	else
		my_libs="$my_libs $libcrypto"
	fi
	AC_SUBST([my_libs])
])
